Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/SelfTest/configuration/config_mono_context_multi_decod.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/SelfTest/configuration/config_mono_context_multi_decod.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/SelfTest/configuration/config_mono_context_multi_decod.gen	(revision 145)
@@ -0,0 +1,42 @@
+Prediction_unit
+1	1	+1 # nb_context                 
+4	4	+1 # nb_decod_unit              
+30	30	+1 # size_address               
+4	4	*4 # nb_instruction             [0] [nb_context]
+4	4	+1 # nb_inst_decod              [0] [nb_decod_unit]
+1	1	+1 # nb_inst_decod              [1] [nb_decod_unit]
+2	2	+1 # nb_inst_decod              [2] [nb_decod_unit]
+8	8	+1 # nb_inst_decod              [3] [nb_decod_unit]
+1	1	+1 # nb_inst_branch_predict     
+1	1	+1 # nb_inst_branch_decod       
+1	1	+1 # nb_inst_branch_update      
+1	1	+1 # nb_inst_branch_complete    
+8	8	*4 # btb_size_queue             
+2	2	+1 # btb_associativity          
+2	2	+1 # btb_size_counter           
+3	3	+1 # btb_victim_scheme          
+1	1	+1 # dir_predictor_scheme       
+1	1	+1 # dir_have_bht               [0] [3]
+1	1	+1 # dir_have_bht               [1] [3]
+1	1	+1 # dir_have_bht               [2] [3]
+1	1	+1 # dir_bht_size_shifter       [0] [3]
+1	1	+1 # dir_bht_size_shifter       [1] [3]
+1	1	+1 # dir_bht_size_shifter       [2] [3]
+1	1	+1 # dir_bht_nb_shifter         [0] [3]
+1	1	+1 # dir_bht_nb_shifter         [1] [3]
+1	1	+1 # dir_bht_nb_shifter         [2] [3]
+1	1	+1 # dir_have_pht               [0] [3]
+1	1	+1 # dir_have_pht               [1] [3]
+1	1	+1 # dir_have_pht               [2] [3]
+1	1	+1 # dir_pht_size_counter       [0] [3]
+1	1	+1 # dir_pht_size_counter       [1] [3]
+1	1	+1 # dir_pht_size_counter       [2] [3]
+1	1	+1 # dir_pht_nb_counter         [0] [3]
+1	1	+1 # dir_pht_nb_counter         [1] [3]
+1	1	+1 # dir_pht_nb_counter         [2] [3]
+1	1	+1 # dir_pht_size_address_share [0] [3]
+1	1	+1 # dir_pht_size_address_share [1] [3]
+1	1	+1 # dir_pht_size_address_share [2] [3]
+4	4	*2 # ras_size_queue             [0] [nb_context]
+4	4	*4 # upt_size_queue             [0] [nb_context]
+2	2	*4 # ufpt_size_queue            [0] [nb_context]
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/SelfTest/configuration/config_multi_context.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/SelfTest/configuration/config_multi_context.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/SelfTest/configuration/config_multi_context.gen	(revision 145)
@@ -0,0 +1,51 @@
+Prediction_unit
+4	4	+1 # nb_context                 
+1	1	+1 # nb_decod_unit              
+30	30	+1 # size_address               
+1	1	*4 # nb_instruction             [0] [nb_context]
+2	2	*4 # nb_instruction             [1] [nb_context]
+4	4	*4 # nb_instruction             [2] [nb_context]
+8	8	*4 # nb_instruction             [3] [nb_context]
+1	1	+1 # nb_inst_decod              [0] [nb_decod_unit]
+1	1	+1 # nb_inst_branch_predict     
+1	1	+1 # nb_inst_branch_decod       
+1	1	+1 # nb_inst_branch_update      
+1	1	+1 # nb_inst_branch_complete    
+16	16	*4 # btb_size_queue             
+8	8	+1 # btb_associativity          
+2	2	+1 # btb_size_counter           
+3	3	+1 # btb_victim_scheme          
+1	1	+1 # dir_predictor_scheme       
+1	1	+1 # dir_have_bht               [0] [3]
+1	1	+1 # dir_have_bht               [1] [3]
+1	1	+1 # dir_have_bht               [2] [3]
+1	1	+1 # dir_bht_size_shifter       [0] [3]
+1	1	+1 # dir_bht_size_shifter       [1] [3]
+1	1	+1 # dir_bht_size_shifter       [2] [3]
+1	1	+1 # dir_bht_nb_shifter         [0] [3]
+1	1	+1 # dir_bht_nb_shifter         [1] [3]
+1	1	+1 # dir_bht_nb_shifter         [2] [3]
+1	1	+1 # dir_have_pht               [0] [3]
+1	1	+1 # dir_have_pht               [1] [3]
+1	1	+1 # dir_have_pht               [2] [3]
+1	1	+1 # dir_pht_size_counter       [0] [3]
+1	1	+1 # dir_pht_size_counter       [1] [3]
+1	1	+1 # dir_pht_size_counter       [2] [3]
+1	1	+1 # dir_pht_nb_counter         [0] [3]
+1	1	+1 # dir_pht_nb_counter         [1] [3]
+1	1	+1 # dir_pht_nb_counter         [2] [3]
+1	1	+1 # dir_pht_size_address_share [0] [3]
+1	1	+1 # dir_pht_size_address_share [1] [3]
+1	1	+1 # dir_pht_size_address_share [2] [3]
+2	2	*2 # ras_size_queue             [0] [nb_context]
+8	8	*2 # ras_size_queue             [1] [nb_context]
+4	4	*2 # ras_size_queue             [2] [nb_context]
+2	2	*2 # ras_size_queue             [3] [nb_context]
+2	2	*4 # upt_size_queue             [0] [nb_context]
+4	4	*4 # upt_size_queue             [1] [nb_context]
+4	4	*4 # upt_size_queue             [2] [nb_context]
+8	8	*4 # upt_size_queue             [3] [nb_context]
+1	1	*4 # ufpt_size_queue            [0] [nb_context]
+4	4	*4 # ufpt_size_queue            [1] [nb_context]
+2	2	*4 # ufpt_size_queue            [2] [nb_context]
+4	4	*4 # ufpt_size_queue            [3] [nb_context]
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Update_Prediction_Table/SelfTest/configuration/config_min.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Update_Prediction_Table/SelfTest/configuration/config_min.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Update_Prediction_Table/SelfTest/configuration/config_min.gen	(revision 145)
@@ -0,0 +1,11 @@
+Update_Prediction_Table
+1	1	+1	# nb_context             
+1	1	*4	# size_upt_queue         [0] [nb_context]
+1	1	*4	# size_ufpt_queue        [0] [nb_context]
+32	32	*2	# size_address           
+1	1	*4	# nb_inst_predict        
+1	1	*4	# nb_inst_decod          
+1	1	*4	# nb_inst_branch_complete
+1	1	*4	# nb_inst_update         
+0	0	+1	# size_history           
+1	1	*2	# size_ras_index         [0] [nb_context]
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Update_Prediction_Table/SelfTest/configuration/config_mono_context.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Update_Prediction_Table/SelfTest/configuration/config_mono_context.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Update_Prediction_Table/SelfTest/configuration/config_mono_context.gen	(revision 145)
@@ -0,0 +1,11 @@
+Update_Prediction_Table
+1	1	+1	# nb_context             
+4	8	+1	# size_upt_queue         [0] [nb_context]
+1	4	+1	# size_ufpt_queue        [0] [nb_context]
+32	32	*2	# size_address           
+4	4	*4	# nb_inst_predict        
+4	4	*4	# nb_inst_decod          
+4	4	*4	# nb_inst_branch_complete
+4	4	*4	# nb_inst_update         
+0	0	+1	# size_history           
+3	3	*2	# size_ras_index         [0] [nb_context]
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Update_Prediction_Table/SelfTest/configuration/config_multi_context.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Update_Prediction_Table/SelfTest/configuration/config_multi_context.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Update_Prediction_Table/SelfTest/configuration/config_multi_context.gen	(revision 145)
@@ -0,0 +1,20 @@
+Update_Prediction_Table
+4	4	+1	# nb_context             
+4	4	*4	# size_upt_queue         [0] [nb_context]
+2	2	*4	# size_upt_queue         [1] [nb_context]
+8	8	*4	# size_upt_queue         [2] [nb_context]
+1 	1 	*4	# size_upt_queue         [3] [nb_context]
+4	4	*4	# size_ufpt_queue        [0] [nb_context]
+1	1	*4	# size_ufpt_queue        [1] [nb_context]
+2	2	*4	# size_ufpt_queue        [2] [nb_context]
+1 	1 	*4	# size_ufpt_queue        [3] [nb_context]
+32	32	*2	# size_address           
+4	4	*4	# nb_inst_predict        
+4	4	*4	# nb_inst_decod          
+4	4	*4	# nb_inst_branch_complete
+4	4	*4	# nb_inst_update         
+0	0	+1	# size_history           
+3	3	*2	# size_ras_index         [0] [nb_context]
+1	1	*2	# size_ras_index         [1] [nb_context]
+2	2	*2	# size_ras_index         [2] [nb_context]
+8	8	*2	# size_ras_index         [3] [nb_context]
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Update_Prediction_Table/src/Update_Prediction_Table_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Update_Prediction_Table/src/Update_Prediction_Table_transition.cpp	(revision 144)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Update_Prediction_Table/src/Update_Prediction_Table_transition.cpp	(revision 145)
@@ -90,5 +90,4 @@
             reg_EVENT_ADDRESS_DEST     [i] = 0; // not necessary
             reg_EVENT_CAN_CONTINUE     [i] = 0; // not necessary
-
           }
       }
@@ -328,5 +327,5 @@
                 {
                   // Have a miss !!!
-                  log_printf(TRACE,Update_Prediction_Table,FUNCTION,"    * miss !!!");
+                  log_printf(TRACE,Update_Prediction_Table,FUNCTION,"      * miss !!!");
 
                   condition   = PORT_READ(in_DECOD_BTB_CONDITION [i]);
@@ -350,8 +349,8 @@
                   bool flush_ufpt = (not (can_continue and not direction and not miss_ifetch));
 
-                  log_printf(TRACE,Update_Prediction_Table,FUNCTION,"    * can_continue: %d",can_continue);
-                  log_printf(TRACE,Update_Prediction_Table,FUNCTION,"    * direction   : %d",direction   );
-                  log_printf(TRACE,Update_Prediction_Table,FUNCTION,"    * miss_ifetch : %d",miss_ifetch );
-                  log_printf(TRACE,Update_Prediction_Table,FUNCTION,"      * flush_ufpt: %d",flush_ufpt  );
+                  log_printf(TRACE,Update_Prediction_Table,FUNCTION,"      * can_continue: %d",can_continue);
+                  log_printf(TRACE,Update_Prediction_Table,FUNCTION,"      * direction   : %d",direction   );
+                  log_printf(TRACE,Update_Prediction_Table,FUNCTION,"      * miss_ifetch : %d",miss_ifetch );
+                  log_printf(TRACE,Update_Prediction_Table,FUNCTION,"        * flush_ufpt: %d",flush_ufpt  );
 
                   // Test if can continue without flushing the ufpt (and ifetch_queue)
@@ -378,5 +377,5 @@
 
                       reg_UPT_EVENT_STATE [context] = UPT_EVENT_STATE_KO_DECODE_UPDATE_CONTEXT;
-                      log_printf(TRACE,Update_Prediction_Table,FUNCTION,"    * UPT_EVENT_STATE [%d] <- %s (decod, miss)",context,toString(reg_UPT_EVENT_STATE [context]).c_str());
+                      log_printf(TRACE,Update_Prediction_Table,FUNCTION,"      * UPT_EVENT_STATE [%d] <- %s (decod, miss)",context,toString(reg_UPT_EVENT_STATE [context]).c_str());
 
                       // Need Flush UPFT
@@ -820,6 +819,6 @@
                             reg_EVENT_ADDRESS_DEST_VAL[context] = good_take;
                             reg_EVENT_ADDRESS_DEST    [context] = good_addr;
-                            reg_EVENT_CAN_CONTINUE    [context] = false;
-                            
+                            reg_EVENT_CAN_CONTINUE    [context] = true;
+                            // reg_EVENT_CAN_CONTINUE    [context] = false;
                           }
                         
@@ -1184,8 +1183,8 @@
         log_printf(TRACE,Update_Prediction_Table,FUNCTION,"    * reg_EVENT_UFPT_STATE      : %s"  ,toString(reg_UFPT_EVENT_STATE [i]).c_str());
         log_printf(TRACE,Update_Prediction_Table,FUNCTION,"    * reg_EVENT_UPT_STATE       : %s"  ,toString(reg_UPT_EVENT_STATE [i]).c_str());
-//         log_printf(TRACE,Update_Prediction_Table,FUNCTION,"    * reg_EVENT_VAL             : %d"  ,reg_EVENT_VAL             [i]);
+//      log_printf(TRACE,Update_Prediction_Table,FUNCTION,"    * reg_EVENT_VAL             : %d"  ,reg_EVENT_VAL             [i]);
         log_printf(TRACE,Update_Prediction_Table,FUNCTION,"    * reg_EVENT_UPT_PTR         : %d"  ,reg_EVENT_UPT_PTR         [i]);
         log_printf(TRACE,Update_Prediction_Table,FUNCTION,"    * reg_EVENT_UPT_FULL        : %d"  ,reg_EVENT_UPT_FULL        [i]);
-//         log_printf(TRACE,Update_Prediction_Table,FUNCTION,"    * reg_EVENT_IS_BRANCH       : %d"  ,reg_EVENT_IS_BRANCH       [i]);
+//      log_printf(TRACE,Update_Prediction_Table,FUNCTION,"    * reg_EVENT_IS_BRANCH       : %d"  ,reg_EVENT_IS_BRANCH       [i]);
         log_printf(TRACE,Update_Prediction_Table,FUNCTION,"    * reg_EVENT_DEPTH           : %d"  ,reg_EVENT_DEPTH           [i]);
         log_printf(TRACE,Update_Prediction_Table,FUNCTION,"    * reg_EVENT_ADDRESS_SRC     : %.8x (%.8x)",reg_EVENT_ADDRESS_SRC     [i],reg_EVENT_ADDRESS_SRC     [i]<<2);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/SelfTest/configuration/config-context_1-decod_unit_1-a.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/SelfTest/configuration/config-context_1-decod_unit_1-a.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/SelfTest/configuration/config-context_1-decod_unit_1-a.gen	(revision 145)
@@ -0,0 +1,47 @@
+Front_end
+1	1	+1	# nb_context                                                
+1	1	+1	# nb_decod_unit                                             
+32	32	+1	# size_general_data                                         
+4	4	+1	# size_ifetch_queue             [0] [nb_context]                
+4	4	+1	# nb_inst_fetch                 [0] [nb_context]                
+0	0	+1	# link_context_to_decod_unit    [0] [nb_context]                
+4	4	+1	# size_decod_queue              [0] [nb_decod_unit]             
+0	1	+1	# decod_queue_scheme            [0] [nb_decod_unit]             
+4	4	+1	# nb_inst_decod                 [0] [nb_decod_unit]             
+1	1	+1	# nb_context_select             [0] [nb_decod_unit]             
+1	1	+1	# context_select_priority       [0] [nb_decod_unit]             
+1	1	+1	# context_select_load_balancing [0] [nb_decod_unit]             
+1	1	+1	# nb_inst_branch_predict        
+2	2	+1	# nb_inst_branch_decod          
+2	2	+1	# nb_inst_branch_update         
+2	2	+1	# nb_inst_branch_complete       
+32	32	+1	# btb_size_queue                
+4	4	+1	# btb_associativity             
+2	2	+1	# btb_size_counter              
+3	3	+1	# btb_victim_scheme             
+1	1	+1	# dir_predictor_scheme          
+1	1	+1	# dir_have_bht                  [0] [3]                         
+1	1	+1	# dir_have_bht                  [1] [3]                         
+1	1	+1	# dir_have_bht                  [2] [3]                         
+1	1	+1	# dir_bht_size_shifter          [0] [3]                         
+1	1	+1	# dir_bht_size_shifter          [1] [3]                         
+1	1	+1	# dir_bht_size_shifter          [2] [3]                         
+1	1	+1	# dir_bht_nb_shifter            [0] [3]                         
+1	1	+1	# dir_bht_nb_shifter            [1] [3]                         
+1	1	+1	# dir_bht_nb_shifter            [2] [3]                         
+1	1	+1	# dir_have_pht                  [0] [3]                         
+1	1	+1	# dir_have_pht                  [1] [3]                         
+1	1	+1	# dir_have_pht                  [2] [3]                         
+1	1	+1	# dir_pht_size_counter          [0] [3]                         
+1	1	+1	# dir_pht_size_counter          [1] [3]                         
+1	1	+1	# dir_pht_size_counter          [2] [3]                         
+1	1	+1	# dir_pht_nb_counter            [0] [3]                         
+1	1	+1	# dir_pht_nb_counter            [1] [3]                         
+1	1	+1	# dir_pht_nb_counter            [2] [3]                         
+1	1	+1	# dir_pht_size_address_share    [0] [3]                         
+1	1	+1	# dir_pht_size_address_share    [1] [3]                         
+1	1	+1	# dir_pht_size_address_share    [2] [3]                         
+8       8       +1	# ras_size_queue                [0] [nb_context]                
+1	1	+1	# upt_size_queue                [0] [nb_context]                
+1	1	+1	# ufpt_size_queue               [0] [nb_context]                
+1	1	+1	# size_inst_commit
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/SelfTest/configuration/config-context_4-decod_unit_1-a.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/SelfTest/configuration/config-context_4-decod_unit_1-a.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/SelfTest/configuration/config-context_4-decod_unit_1-a.gen	(revision 145)
@@ -0,0 +1,65 @@
+Front_end
+4	4	+1	# nb_context                                                
+1	1	+1	# nb_decod_unit                                             
+32	32	+1	# size_general_data                                         
+16	16	+1	# size_ifetch_queue             [0] [nb_context]                
+4	4	+1	# size_ifetch_queue             [1] [nb_context]                
+16	16	+1	# size_ifetch_queue             [2] [nb_context]                
+8	8	+1	# size_ifetch_queue             [3] [nb_context]                
+4	4	+1	# nb_inst_fetch                 [0] [nb_context]                
+2	2	+1	# nb_inst_fetch                 [1] [nb_context]                
+16	16	+1	# nb_inst_fetch                 [2] [nb_context]                
+1	1	+1	# nb_inst_fetch                 [3] [nb_context]                
+0	0	+1	# link_context_to_decod_unit    [0] [nb_context]                
+0	0	+1	# link_context_to_decod_unit    [1] [nb_context]                
+0	0	+1	# link_context_to_decod_unit    [2] [nb_context]                
+0	0	+1	# link_context_to_decod_unit    [3] [nb_context]                
+4	4	+1	# size_decod_queue              [0] [nb_decod_unit]             
+0	1	+1	# decod_queue_scheme            [0] [nb_decod_unit]             
+4	4	+1	# nb_inst_decod                 [0] [nb_decod_unit]             
+1	1	+1	# nb_context_select             [0] [nb_decod_unit]             
+1	1	+1	# context_select_priority       [0] [nb_decod_unit]             
+1	1	+1	# context_select_load_balancing [0] [nb_decod_unit]             
+1	1	+1	# nb_inst_branch_predict        
+2	2	+1	# nb_inst_branch_decod          
+2	2	+1	# nb_inst_branch_update         
+2	2	+1	# nb_inst_branch_complete       
+64	64	+1	# btb_size_queue                
+8	8	+1	# btb_associativity             
+2	2	+1	# btb_size_counter              
+3	3	+1	# btb_victim_scheme             
+1	1	+1	# dir_predictor_scheme          
+1	1	+1	# dir_have_bht                  [0] [3]                         
+1	1	+1	# dir_have_bht                  [1] [3]                         
+1	1	+1	# dir_have_bht                  [2] [3]                         
+1	1	+1	# dir_bht_size_shifter          [0] [3]                         
+1	1	+1	# dir_bht_size_shifter          [1] [3]                         
+1	1	+1	# dir_bht_size_shifter          [2] [3]                         
+1	1	+1	# dir_bht_nb_shifter            [0] [3]                         
+1	1	+1	# dir_bht_nb_shifter            [1] [3]                         
+1	1	+1	# dir_bht_nb_shifter            [2] [3]                         
+1	1	+1	# dir_have_pht                  [0] [3]                         
+1	1	+1	# dir_have_pht                  [1] [3]                         
+1	1	+1	# dir_have_pht                  [2] [3]                         
+1	1	+1	# dir_pht_size_counter          [0] [3]                         
+1	1	+1	# dir_pht_size_counter          [1] [3]                         
+1	1	+1	# dir_pht_size_counter          [2] [3]                         
+1	1	+1	# dir_pht_nb_counter            [0] [3]                         
+1	1	+1	# dir_pht_nb_counter            [1] [3]                         
+1	1	+1	# dir_pht_nb_counter            [2] [3]                         
+1	1	+1	# dir_pht_size_address_share    [0] [3]                         
+1	1	+1	# dir_pht_size_address_share    [1] [3]                         
+1	1	+1	# dir_pht_size_address_share    [2] [3]                         
+8       8       +1	# ras_size_queue                [0] [nb_context]                
+2       2       +1	# ras_size_queue                [1] [nb_context]                
+4       4       +1	# ras_size_queue                [2] [nb_context]                
+2       2       +1	# ras_size_queue                [3] [nb_context]                
+16	16	+1	# upt_size_queue                [0] [nb_context]                
+1	1	+1	# upt_size_queue                [1] [nb_context]                
+2	2	+1	# upt_size_queue                [2] [nb_context]                
+8	8	+1	# upt_size_queue                [3] [nb_context]                
+6 	6 	+1	# ufpt_size_queue               [0] [nb_context]                
+1	1	+1	# ufpt_size_queue               [1] [nb_context]                
+1	1	+1	# ufpt_size_queue               [2] [nb_context]                
+4	4	+1	# ufpt_size_queue               [3] [nb_context]                
+1	1	+1	# size_inst_commit
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/SelfTest/configuration/config-context_4-decod_unit_2-a.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/SelfTest/configuration/config-context_4-decod_unit_2-a.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/SelfTest/configuration/config-context_4-decod_unit_2-a.gen	(revision 145)
@@ -0,0 +1,71 @@
+Front_end
+4	4	+1	# nb_context                                                
+2	2	+1	# nb_decod_unit                                             
+32	32	+1	# size_general_data                                         
+8	8	+1	# size_ifetch_queue             [0] [nb_context]                
+4	4	+1	# size_ifetch_queue             [1] [nb_context]                
+16	16	+1	# size_ifetch_queue             [2] [nb_context]                
+8	8	+1	# size_ifetch_queue             [3] [nb_context]                
+4	4	+1	# nb_inst_fetch                 [0] [nb_context]                
+2	2	+1	# nb_inst_fetch                 [1] [nb_context]                
+16	16	+1	# nb_inst_fetch                 [2] [nb_context]                
+1	1	+1	# nb_inst_fetch                 [3] [nb_context]                
+1	1	+1	# link_context_to_decod_unit    [0] [nb_context]                
+0	0	+1	# link_context_to_decod_unit    [1] [nb_context]                
+1	1	+1	# link_context_to_decod_unit    [2] [nb_context]                
+1	1	+1	# link_context_to_decod_unit    [3] [nb_context]                
+4	4	+1	# size_decod_queue              [0] [nb_decod_unit]             
+12	12	+1	# size_decod_queue              [1] [nb_decod_unit]             
+1	1	+1	# decod_queue_scheme            [0] [nb_decod_unit]             
+0	0	+1	# decod_queue_scheme            [1] [nb_decod_unit]             
+2	2	+1	# nb_inst_decod                 [0] [nb_decod_unit]             
+6	6	+1	# nb_inst_decod                 [1] [nb_decod_unit]             
+1	1	+1	# nb_context_select             [0] [nb_decod_unit]             
+1	3	*3	# nb_context_select             [1] [nb_decod_unit]             
+1	1	+1	# context_select_priority       [0] [nb_decod_unit]             
+1	1	+1	# context_select_priority       [1] [nb_decod_unit]             
+1	1	+1	# context_select_load_balancing [0] [nb_decod_unit]             
+1	1	+1	# context_select_load_balancing [1] [nb_decod_unit]             
+1	1	+1	# nb_inst_branch_predict        
+2	2	+1	# nb_inst_branch_decod          
+2	2	+1	# nb_inst_branch_update         
+2	2	+1	# nb_inst_branch_complete       
+64	64	+1	# btb_size_queue                
+8	8	+1	# btb_associativity             
+2	2	+1	# btb_size_counter              
+3	3	+1	# btb_victim_scheme             
+1	1	+1	# dir_predictor_scheme          
+1	1	+1	# dir_have_bht                  [0] [3]                         
+1	1	+1	# dir_have_bht                  [1] [3]                         
+1	1	+1	# dir_have_bht                  [2] [3]                         
+1	1	+1	# dir_bht_size_shifter          [0] [3]                         
+1	1	+1	# dir_bht_size_shifter          [1] [3]                         
+1	1	+1	# dir_bht_size_shifter          [2] [3]                         
+1	1	+1	# dir_bht_nb_shifter            [0] [3]                         
+1	1	+1	# dir_bht_nb_shifter            [1] [3]                         
+1	1	+1	# dir_bht_nb_shifter            [2] [3]                         
+1	1	+1	# dir_have_pht                  [0] [3]                         
+1	1	+1	# dir_have_pht                  [1] [3]                         
+1	1	+1	# dir_have_pht                  [2] [3]                         
+1	1	+1	# dir_pht_size_counter          [0] [3]                         
+1	1	+1	# dir_pht_size_counter          [1] [3]                         
+1	1	+1	# dir_pht_size_counter          [2] [3]                         
+1	1	+1	# dir_pht_nb_counter            [0] [3]                         
+1	1	+1	# dir_pht_nb_counter            [1] [3]                         
+1	1	+1	# dir_pht_nb_counter            [2] [3]                         
+1	1	+1	# dir_pht_size_address_share    [0] [3]                         
+1	1	+1	# dir_pht_size_address_share    [1] [3]                         
+1	1	+1	# dir_pht_size_address_share    [2] [3]                         
+8       8       +1	# ras_size_queue                [0] [nb_context]                
+2       2       +1	# ras_size_queue                [1] [nb_context]                
+4       4       +1	# ras_size_queue                [2] [nb_context]                
+2       2       +1	# ras_size_queue                [3] [nb_context]                
+16	16	+1	# upt_size_queue                [0] [nb_context]                
+1	1	+1	# upt_size_queue                [1] [nb_context]                
+2	2	+1	# upt_size_queue                [2] [nb_context]                
+8	8	+1	# upt_size_queue                [3] [nb_context]                
+6  	6 	+1	# ufpt_size_queue               [0] [nb_context]                
+1	1	+1	# ufpt_size_queue               [1] [nb_context]                
+1	1	+1	# ufpt_size_queue               [2] [nb_context]                
+4	4	+1	# ufpt_size_queue               [3] [nb_context]                
+1	1	+1	# size_inst_commit
